[rspec-users] [ANN] rspec-1.2 release candidate

Juanma Cervera lists at ruby-forum.com
Fri Feb 20 05:35:07 EST 2009


David,

I have an error when trying to run autospec.
It works when I run 'rake spec'

I don know why it is still using the rspec-1.1.12 gem.


/usr/lib/ruby/gems/1.8/gems/dchelimsky-rspec-1.1.99.7/lib/spec/autorun.rb:3: 
undefined method `autorun' for Spec::Runner:Module (NoMethodError)
  from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in 
`gem_original_require'
  from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in 
`require'
  from 
/home/jmcervera/.gem/ruby/1.8/gems/activesupport-2.3.0/lib/active_support/dependencies.rb:158:in 
`require'
  from ./spec/models/../spec_helper.rb:5
  from ./spec/models/cliente_spec.rb:1:in `require'
  from ./spec/models/cliente_spec.rb:1
  from 
/usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/lib/spec/runner/example_group_runner.rb:15:in 
`load'
  from 
/usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/lib/spec/runner/example_group_runner.rb:15:in 
`load_files'
  from 
/usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/lib/spec/runner/example_group_runner.rb:14:in 
`each'
  from 
/usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/lib/spec/runner/example_group_runner.rb:14:in 
`load_files'
  from 
/usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/lib/spec/runner/options.rb:94:in 
`run_examples'
  from 
/usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/lib/spec/runner/command_line.rb:9:in 
`run'
  from /usr/lib/ruby/gems/1.8/gems/rspec-1.1.12/bin/spec:4

Thanks
Juanma
-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list